# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/postgres/access'
require 'easy_type'

Puppet::Type.type(:pg_parameter).provide(:simple) do
  include EasyType::Provider
  include Puppet_X::EnterpriseModules::Postgres::Access

  desc 'Manage an Postgres parameters in an Postgres Database via regular SQL'

  mk_resource_methods
end
