# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:database) do
  include EasyType::YamlProperty

  desc <<-EOD
    The postgres database to connect to.
  EOD

  defaultto 'postgres'

  data_type('Optional[String[1]]')
end
