# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:os_user) do
  include EasyType::YamlProperty

  desc <<-EOD
  The os_user that is used for the connect. By default this is `postgres`.
  EOD

  defaultto 'postgres'

  data_type('Optional[String[1]]')
end
