# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/postgres/mungers'

newparam(:name) do
  include EasyType
  include EasyType::Validators::Name
  include Puppet_X::EnterpriseModules::Postgres::Mungers::LeaveDbRestToUppercase

  desc <<-EOD
    The schema name.
  EOD

  isnamevar
  data_type('String[1]')
end
