# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/postgres/mungers'

newproperty(:oid, :parent => ::Puppet_X::EnterpriseModules::Postgres::ReadOnlyProperty) do
  include EasyType

  desc <<-EOD
    The ID of role
  EOD

  isnamevar
  data_type("Optional[Variant[Enum['absent'],Integer]]")

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('oid')
  end
end
